# Draw
TKXSDRAW
XSDRAW

# XSDRAW_Shape Class Reference

Defines functions to control shapes (in way useful for XSTEP),
additional features which should be basic, or call tools which
are bound with transfer needs.
But these functions work on shapes, geometry, nothing else
(no file, no model, no entity)
.

`#include <XSDRAW_Shape.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | InitCommands (Draw_Interpretor &theCommands)
| Defines and loads all basic functions for XSDRAW on Shapes .

## Member Function Documentation

static Standard_EXPORT void XSDRAW_Shape::InitCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

void XSDRAW_Shape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XSDRAW_Shape::operator new | ( | size_t | size | ) | `[inline]`

void* XSDRAW_Shape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- XSDRAW_Shape.hxx